Bug 476543 - rsyslog report remote messages as it comes from localhost
rsyslog report remote messages as it comes from localhost
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Heinrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 10:01 EST by Marek Greško
Modified: 2016-09-20 00:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 12:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2008-12-15 10:01:36 EST
Description of problem:
When a remote host is configured to syslog to the central host, remote hosts are repoerted as localhost.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Run rsyslogd with remote logging enabled.
2. Configure another rsyslog to log remotely to central log server.
3. Watch logs. localhost is the source of messages.
  
Actual results:
localhost is the reported source of messages.

Expected results:
real hostname is reported as a source of syslog messages.

Additional info:
Comment 1 Marek Greško 2008-12-17 10:44:46 EST
Sorry, it was a configuration problem on client. I had wrong line in /etc/hosts.

Note You need to log in before you can comment on or make changes to this bug.